org.apache.ignite.startup.cmdline

## Class CommandLineStartup

- java.lang.Object
- - org.apache.ignite.startup.cmdline.CommandLineStartup

    public final class CommandLineStartup
    extends Object

This class defines command-line Ignite startup. This startup can be used to start Ignite outside of any hosting environment from command line. This startup is a Java application with `main(String[])` method that accepts command line arguments. It accepts just one parameter which is Spring XML configuration file path. You can run this class from command line without parameters to get help message.

Note that scripts `${IGNITE_HOME}/bin/ignite.{sh|bat}` shipped with Ignite use this startup and you can use them as an example.

### Method Summary

Methods
`static void` `main(String[] args)` Main entry point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### main

    public static void main(String[] args)

Main entry point.

Parameters:
  `args` - Command line arguments.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015